V1.0
put
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/dataelements/subject/{subjectId}/event/{eventId}/form/{formId}/formassociations
Updates form associations, if any, for a given form, event and subject. Deletes all associations for the data element if request is empty.
Request
Path Parameters
-
eventId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
7FCBB303F8D24A3FB7DABCACF7600629 -
formId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
6FCBB303F8D24A3FB7DABCACF7600629 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9FCBB303F8D24A3FB7DABCACF7600629 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
8FCBB303F8D24A3FB7DABCACF7600629
Query Parameters
-
eventInstanceNum: integer
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
repeatSequenceNum: integer
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
2
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest payload to update form associations for a source form instance
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048CommentExample:Adding association for derived form copy -
formsAssociations: array
formsAssociations
List of form association operations to apply to the source form instance
-
reason: string
Minimum Length:
0Maximum Length:255ReasonExample:Change for encoding
Nested Schema : formsAssociations
Type:
arrayList of form association operations to apply to the source form instance
Show Source
-
Array of:
object FormsAssociationsDto
Associations between source and target forms within visits and study versions
Nested Schema : FormsAssociationsDto
Type:
objectAssociations between source and target forms within visits and study versions
Show Source
-
associatedEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
associatedFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
associatedStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.0 -
comment: string
CommentExample:
Updated association details -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
0123456789ABCDEF0123456789ABCDEF -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
1 -
reason: string
ReasonExample:
Data association update -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
srcFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
srcItemId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
0123456789ABCDEF0123456789ABCDEF -
srcRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
srcStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2024-12-01T10:15:30Z
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormAssociationsUpdateRespDto
Form associations update response
Nested Schema : FormAssociationsUpdateRespDto
Type:
objectForm associations update response
Show Source
-
formsAssociations: array
formsAssociations
List of form associations
Nested Schema : formsAssociations
Type:
arrayList of form associations
Show Source
-
Array of:
object FormsAssociationsDto
Associations between source and target forms within visits and study versions
Nested Schema : FormsAssociationsDto
Type:
objectAssociations between source and target forms within visits and study versions
Show Source
-
associatedEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
associatedFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
associatedStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.0 -
comment: string
CommentExample:
Updated association details -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
0123456789ABCDEF0123456789ABCDEF -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
1 -
reason: string
ReasonExample:
Data association update -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
srcFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
srcItemId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
0123456789ABCDEF0123456789ABCDEF -
srcRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
srcStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2024-12-01T10:15:30Z
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object